package org.bdware.sc.udp;

import java.net.InetSocketAddress;
import java.net.SocketAddress;
import org.bdware.sc.conn.Node;

public class UDPNode extends Node {
	public UDPNode(SocketAddress addr) {
		this.addr = addr;
	}

	public int id;
	public long lastUpdatedTime;
	public SocketAddress addr;

	public String getAddr() {
		InetSocketAddress inet4 = (InetSocketAddress) addr;
		return inet4.getHostString() + ":" + inet4.getPort();
	}
}
